BaseApiSshCmdArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class BaseApiSshCmdArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.BaseApiSshCmdArguments

- Direct Known Subclasses:
    ApiGenerateCmcaArguments, ApiGenerateHostCertsArguments

      @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class BaseApiSshCmdArguments
      extends Object

  Contains common arguments for commands which require SSH'ing into one or more hosts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseApiSshCmdArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getPassphrase()` The passphrase associated with the private key used to authenticate with the hosts (optional).
    `String` | `getPassword()` The password used to authenticate with the hosts.
    `String` | `getPrivateKey()` The private key to authenticate with the hosts.
    `BigDecimal` | `getSshPort()` SSH port.
    `String` | `getUserName()` The username used to authenticate with the hosts.
    `int` | `hashCode()`
    `BaseApiSshCmdArguments` | `passphrase(String passphrase)`
    `BaseApiSshCmdArguments` | `password(String password)`
    `BaseApiSshCmdArguments` | `privateKey(String privateKey)`
    `void` | `setPassphrase(String passphrase)`
    `void` | `setPassword(String password)`
    `void` | `setPrivateKey(String privateKey)`
    `void` | `setSshPort(BigDecimal sshPort)`
    `void` | `setUserName(String userName)`
    `BaseApiSshCmdArguments` | `sshPort(BigDecimal sshPort)`
    `String` | `toString()`
    `BaseApiSshCmdArguments` | `userName(String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseApiSshCmdArguments

          public BaseApiSshCmdArguments()

  - ### Method Detail

    - #### sshPort

          public BaseApiSshCmdArguments sshPort(BigDecimal sshPort)

    - #### getSshPort

          public BigDecimal getSshPort()

      SSH port. If unset, defaults to 22.
      Returns:
        sshPort

    - #### setSshPort

          public void setSshPort(BigDecimal sshPort)

    - #### userName

          public BaseApiSshCmdArguments userName(String userName)

    - #### getUserName

          public String getUserName()

      The username used to authenticate with the hosts. Root access to your hosts is required to install Cloudera packages. The installer will connect to your hosts via SSH and log in either directly as root or as another user with password-less sudo privileges to become root.
      Returns:
        userName

    - #### setUserName

          public void setUserName(String userName)

    - #### password

          public BaseApiSshCmdArguments password(String password)

    - #### getPassword

          public String getPassword()

      The password used to authenticate with the hosts. Specify either this or a private key. For password-less login, use an empty string as password.
      Returns:
        password

    - #### setPassword

          public void setPassword(String password)

    - #### privateKey

          public BaseApiSshCmdArguments privateKey(String privateKey)

    - #### getPrivateKey

          public String getPrivateKey()

      The private key to authenticate with the hosts. Specify either this or a password. <br> The private key, if specified, needs to be a standard PEM-encoded key as a single string, with all line breaks replaced with the line-feed control character '\\n'. <br> A value will typically look like the following string: <br> -----BEGIN RSA PRIVATE KEY-----\\n[base-64 encoded key]\\n-----END RSA PRIVATE KEY----- <br>
      Returns:
        privateKey

    - #### setPrivateKey

          public void setPrivateKey(String privateKey)

    - #### passphrase

          public BaseApiSshCmdArguments passphrase(String passphrase)

    - #### getPassphrase

          public String getPassphrase()

      The passphrase associated with the private key used to authenticate with the hosts (optional).
      Returns:
        passphrase

    - #### setPassphrase

          public void setPassphrase(String passphrase)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.